Subject: Choose 2014 Model today | look inside

From: Dealer Quotes <[email-masked]>
Date: Fri, 29 Aug 2014 13:39:02 -0700

Announcing: Special Labor Day Price Reduction
-  2014 Model Vehicles - 

Your in Luck, there are Vehicles in your area below Kelly Blue Book Value. 

Select a Vehicle here / http://www.knowecu.com/labor/day/clearance/inventory.html

Also Krb-wg-archive, auto makers are sweetening Labor Day deals. 

View Entire Inventory that is below MSRP here: http://www.knowecu.com/labor/day/clearance/inventory.html

Privacy Policy | Terms of Use | Unsubscribe | Contact Us | 

To stop further alerts
visit http://www.knowecu.com/kiuy/serg.serf3 or write 
Alert Center Notifications
1400 South Jama
Goddard, KS 67052

I once stumbled across this issue when I wrote a script generating C code
 describing a 3D-Model and was happy that I didn't have to handle the last 
 entry separately.- can we say its done 10% or less times; rest of the time 
 it involves typing in code. Statistically significant or not, those f
 erocious coders who blast off 100s of characters per minute, cannot 
 afford to type in 2 more (or 20 more for that matter) characters? I'm 
 not complaining, but this justification seems odd. I think it makes 
 life easy on someone else's side, MS maybe? It's not a matter of typing
  rate - it's a matter of simplicity, when copying, removing or
reordering items. It made my life simpler just yesterday. With no downside,
why not make life easier? As for trying to point the finger at MS, I 
strongly suspect this has been in C since before Microsoft even existed...
You say this justification seems odd, but I bet it benefits thousands of
developers across hundreds of companies every single day. Isn't that a
better explanation than looking for something that benefits compiler
ers?   Jon my thought is, why not make life easier in other
laces too? As a sidenote and a bit ironically, another MS product
tally despises the trailing comma. I suspect it wouldn't
 nearly as useful in other places - because most other places 
n't use a homogeneous list of items. For example, for method
 reordering parameters is something which generally 
 a lot more care due to the type system. The position
 a semantic difference, not just an order-of-appearance 
 (This doesn't hold as much water for named 
 of course.) It feels like this was a single "let's
t it in for this case for pragmatic reasons, but keep the
 itself simpler  I was referring to other things, 
as being able to say: public property int Index; 
(for auto-implemented properties primarily) which is much 
easier to type in (less chars, all in same row), more
readable than ugly public int Index { get; set; }; and
I guess tad easier for code generation as well.   
Introducing new keywords after release is a tricky business. 
It's possible that this wouldn't cause any problems
(like other contextual keywords), but I'm not entirely sure..
 and how would you make a public "getter" with a 
  private "setter" that way? I wouldn't want to have two
different syntaxes for it... (Personally I wish
field-like events were declared as public event 
EventHandler Foo { add; remove; }; to make them clearer,
but there we go...)   Jon Skeet Aug 17 '11 at 14:26